package com.yeejoin.amos.fas.business.vo;


import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;

/**
 * @author suhg
 */
public class ExceptionRegionVo {
    /**
     * 风险点id
     */
    private Long id;
    /**
     * 安全指数
     */
    private Double safetyIndex;
    /**
     * 是否故障
     */
    private boolean breakdown ;
    /**
     * ue4点坐标
     */
    private JSONArray ue4Location;
    /**
     * ue4旋转
     */
    private JSONArray ue4Rotation;

    /**
     * ue4缩放
     */
    private JSONArray ue4Extent;

    /**
     * 自研3维区域参数
     */
    private JSONObject routePath;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Double getSafetyIndex() {
        return safetyIndex;
    }

    public void setSafetyIndex(Double safetyIndex) {
        this.safetyIndex = safetyIndex;
    }

    public JSONArray getUe4Location() {
        return ue4Location;
    }

    public void setUe4Location(JSONArray ue4Location) {
        this.ue4Location = ue4Location;
    }

    public JSONArray getUe4Rotation() {
        return ue4Rotation;
    }

    public void setUe4Rotation(JSONArray ue4Rotation) {
        this.ue4Rotation = ue4Rotation;
    }

    public JSONArray getUe4Extent() {
        return ue4Extent;
    }

    public JSONObject getRoutePath() {
        return routePath;
    }

    public void setRoutePath(JSONObject routePath) {
        this.routePath = routePath;
    }

    public void setUe4Extent(JSONArray ue4Extent) {
        this.ue4Extent = ue4Extent;
    }

    public boolean isBreakdown() {
        return breakdown;
    }

    public void setBreakdown(boolean breakdown) {
        this.breakdown = breakdown;
    }
}
